## org.apache.mahout.classifier.df.split
Class DefaultIgSplit

    java.lang.Object
      org.apache.mahout.classifier.df.split.IgSplit
          org.apache.mahout.classifier.df.split.DefaultIgSplit

    public class DefaultIgSplit

extends IgSplit

Default, not optimized, implementation of IgSplit

Constructor Summary
`DefaultIgSplit()`

Method Summary
`Split` `computeSplit(Data data, int attr)` Computes the best split for the given attribute
`protected double` `entropy(Data data)` Computes the Entropy

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIgSplit

    public DefaultIgSplit()

Method Detail

### computeSplit

    public Split computeSplit(Data data,
                              int attr)

  Description copied from class: `IgSplit`
  Computes the best split for the given attribute

  Specified by:
    `computeSplit` in class `IgSplit`

### entropy

    protected double entropy(Data data)

  Computes the Entropy

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.